using System.ComponentModel;

namespace WCS.Entity.Protocol.Station
{
    [Description("521")]
    /// <summary>
    /// 输送机交互信号 读
    /// </summary>
    public interface IStation521 : IProtocol
    {
        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("运行模式")]
        StationMode Mode { get; set; }

        /// <summary>
        /// 指令回复
        /// </summary>
        [Description("指令回复")]
        short CmdType { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo { get; set; }

        /// <summary>
        /// 请求
        /// </summary>
        [Description("请求")]
        short Request { get; set; }
    }
}
